Package org.drinkless.tdlib

# Class TdApi.InputMessageDice

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.InputMessageContent
org.drinkless.tdlib.TdApi.InputMessageDice

Enclosing class:
  `TdApi`

public static class TdApi.InputMessageDice extends TdApi.InputMessageContent
A dice message.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.InputMessageContent

  `TdApi.InputMessageContent.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `boolean`
  `clearDraft`
  True, if the chat message draft must be deleted.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `emoji`
  Emoji on which the dice throw animation is based.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InputMessageDice()`
  A dice message.
  `InputMessageDice(String emoji, boolean clearDraft)`
  A dice message.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### emoji

    public String emoji
    Emoji on which the dice throw animation is based.

  - ### clearDraft

    public boolean clearDraft
    True, if the chat message draft must be deleted.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### InputMessageDice

    public InputMessageDice()
    A dice message.

  - ### InputMessageDice

    public InputMessageDice(String emoji, boolean clearDraft)
    A dice message.
    Parameters:
      `emoji` - Emoji on which the dice throw animation is based.
      `clearDraft` - True, if the chat message draft must be deleted.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.InputMessageContent`
    Returns:
      this.CONSTRUCTOR